import { AfterContentChecked, ElementRef, EventEmitter } from '@angular/core';
import { SelectOptionModel } from './select-option.model';
export declare class SelectOptionComponent implements AfterContentChecked {
    private element;
    static readonly defaultProps: SelectOptionModel;
    optionTemplateRef: ElementRef;
    onClickEmitter: EventEmitter<string>;
    classNameInput: string;
    disabledInput: boolean;
    valueInput: string;
    className: string;
    content: HTMLElement;
    disabled: boolean;
    isActive: boolean;
    transitionDuration: number;
    value: string;
    constructor(element: ElementRef);
    ngAfterContentChecked(): void;
    ngOnInit(): void;
    initValues(): void;
    onClick(): void;
    emitClick(): void;
}
